# Gimp.Drawable.prototype.curves_explicit

    function curves_explicit(channel: Gimp.HistogramChannel, values: Array(Number(gdouble))): Boolean {
        // Gjs wrapper for gimp_drawable_curves_explicit()
    }

Modifies the intensity curve(s) for specified drawable.

Modifies the intensity mapping for one channel in the specified drawable. The channel can be either an intensity component, or the value. The 'values' parameter is an array of doubles which explicitly defines how each pixel value in the drawable will be modified. Use the Gimp.Drawable.prototype.curves_spline function to modify intensity levels with Catmull Rom splines.

Since 2.10

channel

  The channel to modify.

values

  The explicit curve.

Returns

  TRUE on success.